Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in tomcat
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in tomcat
ID: SUSE-SU-2020:0226-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Web Scripting 15, SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
Datum: Fr, 24. Januar 2020, 17:00
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-17563
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10072
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-12418
Applikationen: Apache Tomcat

Originalnachricht


SUSE Security Update: Security update for tomcat
______________________________________________________________________________

Announcement ID: SUSE-SU-2020:0226-1
Rating: important
References: #1139924 #1159723 #1159729 #1161025
Cross-References: CVE-2019-10072 CVE-2019-12418 CVE-2019-17563

Affected Products:
SUSE Linux Enterprise Module for Web Scripting 15
SUSE Linux Enterprise Module for Open Buildservice
Development Tools 15
______________________________________________________________________________

An update that solves three vulnerabilities and has one
errata is now available.

Description:

This update for tomcat to version 9.0.30 fixes the following issues:

Security issue fixed:

- CVE-2019-12418: Fixed a local privilege escalation by manipulating the
RMI registry (bsc#1159723).
- CVE-2019-17563: Fixed a session fixation attack when using FORM
authentication (bsc#1159729).

Non-security issue fixed:

- Fixed a problem during startup, related to changes in Java 9+ APIs
(bsc#1161025).


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Web Scripting 15:

zypper in -t patch SUSE-SLE-Module-Web-Scripting-15-2020-226=1

- SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:

zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2020-226=1



Package List:

- SUSE Linux Enterprise Module for Web Scripting 15 (noarch):

tomcat-9.0.30-3.34.1
tomcat-admin-webapps-9.0.30-3.34.1
tomcat-el-3_0-api-9.0.30-3.34.1
tomcat-jsp-2_3-api-9.0.30-3.34.1
tomcat-lib-9.0.30-3.34.1
tomcat-servlet-4_0-api-9.0.30-3.34.1
tomcat-webapps-9.0.30-3.34.1

- SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
(noarch):

tomcat-docs-webapp-9.0.30-3.34.1
tomcat-embed-9.0.30-3.34.1
tomcat-javadoc-9.0.30-3.34.1
tomcat-jsvc-9.0.30-3.34.1


References:

https://www.suse.com/security/cve/CVE-2019-10072.html
https://www.suse.com/security/cve/CVE-2019-12418.html
https://www.suse.com/security/cve/CVE-2019-17563.html
https://bugzilla.suse.com/1139924
https://bugzilla.suse.com/1159723
https://bugzilla.suse.com/1159729
https://bugzilla.suse.com/1161025

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung